#include <hmg.ch>

Function Main

LOCAL cFuenteName := "Georgia"
LOCAL nFuenteSize := 9
LOCAL nLabelRow := 72
LOCAL aBackColor := {110,110,110}
LOCAL aFontColor := {255,255,255}


SET MULTIPLE OFF
SET CENTURY ON
SET DATE FRENCH
SET DECIMALS to 2
SET BROWSESYNC ON
SET TOOLTIPSTYLE BALLOON
SET TOOLTIPBACKCOLOR { 000, 000, 000 } 
SET TOOLTIPFORECOLOR { 255, 255, 255 }


	DEFINE WINDOW Main AT 168 , 317 WIDTH 960 HEIGHT 700 VIRTUAL WIDTH Nil VIRTUAL HEIGHT Nil ;
		TITLE "Menú Principal para probar Modulos" ICON "aaIcono32" MAIN CURSOR NIL ON INIT Nil ON RELEASE Nil ON INTERACTIVECLOSE Nil;
		ON MOUSECLICK Nil ON MOUSEDRAG Nil ON MOUSEMOVE Nil ON SIZE Nil ON MAXIMIZE Nil ON MINIMIZE Nil;
		ON PAINT Nil BACKCOLOR aBackColor NOTIFYICON NIL NOTIFYTOOLTIP NIL ON NOTIFYCLICK Nil;
		ON GOTFOCUS Nil ON LOSTFOCUS Nil ON SCROLLUP Nil ON SCROLLDOWN Nil ON SCROLLLEFT Nil;
		ON SCROLLRIGHT Nil ON HSCROLLBOX Nil ON VSCROLLBOX Nil

		DEFINE IMAGE Image_1
			ROW    90
			COL    0
			WIDTH 960
			HEIGHT 550
			PICTURE "Arch"
			HELPID Nil
			VISIBLE .T.
			STRETCH .T.
			ACTION Main_Fondo_Click ()
		END IMAGE

		DEFINE STATUSBAR FONT cFuenteName SIZE nFuenteSize
			STATUSITEM "TUX - PC v. 1.0" WIDTH 150
			CLOCK WIDTH 80
			DATE WIDTH 100
			STATUSITEM "" Width 25
		END STATUSBAR

		DEFINE IMAGE Image_2						// Boton 1
			ROW    1
			COL    1
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Clientes"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Clientes."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_1
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 1
            VALUE "Clientes"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_3						// Boton 2
			ROW    1
			COL    80
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Agenda64"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Agenda."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_2
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 80
            VALUE "Agenda"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_4						// Boton 3
			ROW    1
			COL    160
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Camion"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Proveedores."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_3
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 155
            VALUE "Proveedores"
            ONCLICK Nil
            WIDTH 80
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_5						// Boton 4
			ROW    1
			COL    240
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Comprob"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Remitos."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_4
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 240
            VALUE "Remitos"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_6						// Boton 5
			ROW    1
			COL    320
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Config"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Cambiar la Configuración."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_5
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 320
            VALUE "Preferencias"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_7						// Boton 6
			ROW    1
			COL    400
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Calc"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Balance general."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_6
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 400
            VALUE "Balance"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_8						// Boton 7
			ROW    1
			COL    480
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Acerca_De"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Acerca de este programa."
			ACTION MsgInfo ("Función aún no disponible... " , "Menu")
		END IMAGE

     DEFINE LABEL Label_7
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 480
            VALUE "Acerca de"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_9						// Boton 8
			ROW    1
			COL    875
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Exit"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Salir."
			ACTION Main_Button_Salir ()
		END IMAGE

     DEFINE LABEL Label_8
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 875
            VALUE "Salir"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

	END WINDOW

	Main. Activate
	
Return Nil
//-----------------------------------------------------------------------------------------------------//

Function Main_Button_Salir

	Main. Release

Return Nil
//-----------------------------------------------------------------------------------------------------//

Function Main_Fondo_Click


	MsgInfo ("Main_Fondo_Click... " , "Menu")


Return Nil